create view vhist.query_profiles_query_view  as select qpf.session_id, qpf.transaction_id, qpf.statement_id, qpf.node_key,      CASE WHEN upper(left(qpf.query,6)) = 'SELECT' THEN 'SELECT'
          WHEN upper(left(qpf.query,4)) = 'WITH' THEN 'WITH'
          WHEN upper(left(qpf.query,6)) = 'INSERT' THEN 'INSERT'
 	  WHEN upper(left(qpf.query,6)) = 'UPDATE' THEN 'UPDATE'
	ELSE
	'OTHER'
     END as query_type ,
     length(qpf.query) as query_length, substr(qpf.query, 1, 300) as query, qpf.schema_name, qpf.table_name, qpf.query_duration_us, qpf.query_start_date_key, qpf.query_start_time_key, qpf.error_code, qpf.user_key, qpf.processed_row_count, qpf.reserved_extra_memory from vhist.query_profiles_fact qpf where query_type = 'QUERY';

create view vhist.query_profiles_load_view as select qpf.session_id, qpf.transaction_id, qpf.statement_id,  CASE WHEN INSTR(qpf.query,'DIRECT') > 0  THEN 'DIRECT'
	ELSE 'OTHER'
     END as load_type ,
          CASE WHEN INSTR(qpf.query,'*') > 0  THEN 'WILDCARD'
	ELSE 'OTHER'
     END as wild_card ,
     length(qpf.query) as query_length, qpf.node_key, substr(qpf.query, 1, 300) as query, qpf.schema_name, qpf.table_name, qpf.query_duration_us, qpf.query_start_date_key, qpf.query_start_time_key, qpf.error_code, qpf.user_key, qpf.processed_row_count, qpf.reserved_extra_memory from vhist.query_profiles_fact qpf where query_type = 'LOAD';

